Skip to main content
`Ctrl`+`K`

# octahedral_graph

octahedral_graph(create_using=None)

  Returns the Platonic Octahedral graph.

  The octahedral graph is the 6-node 12-edge Platonic graph having the connectivity of the octahedron [1]. If 6 couples go to a party, and each person shakes hands with every person except his or her partner, then this graph describes the set of handshakes that take place; for this reason it is also called the cocktail party graph [2].

  Parameters:
    create_using NetworkX graph constructor, optional (default=nx.Graph)

      Graph type to create. If graph instance, then cleared before populated.

  Returns:
    G networkx Graph

      Octahedral graph

  References

  [1]

  https://mathworld.wolfram.com/OctahedralGraph.html

  [2]

  https://en.wikipedia.org/wiki/Tur%C3%A1n_graph#Special_cases